### Method

# Meta Laters add

#### Declaration [src]

    unsigned int
    meta_laters_add (
      MetaLaters* laters,
      MetaLaterType when,
      GSourceFunc func,
      gpointer user_data,
      GDestroyNotify notify
    )

#### Description [src]

Sets up a callback to be called at some later time. `when` determines the particular later occasion at which it is called. This is much like g_idle_add(), except that the functions interact properly with clutter event handling. If a “later” function is added from a clutter event handler, and is supposed to be run before the stage is redrawn, it will be run before that redraw of the stage, not the next one.

#### Parameters

`when`

  Type: `MetaLaterType`

  Enumeration value determining the phase at which to run the callback.

`func`

  Type: `GSourceFunc`

  Callback to run later.

`user_data`

  Type: `gpointer`

  Data to pass to the callback.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`notify`

  Type: `GDestroyNotify`

  Function to call to destroy `data` when it is no longer in use, or `NULL`.

#### Return value

Type: `unsigned int`

An integer ID (guaranteed to be non-zero) that can be used to cancel the callback and prevent it from being run.